StarPU Internal Handbook

Functions
memory_manager.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Functions
int | _starpu_memory_manager_init ()
void | _starpu_memory_manager_set_global_memory_size (unsigned node, size_t size)
size_t | _starpu_memory_manager_get_global_memory_size (unsigned node)
int | _starpu_memory_manager_test_allocate_size (unsigned node, size_t size)

## Function Documentation

## ◆ _starpu_memory_manager_init()

int _starpu_memory_manager_init | ( |  | ) |

Initialises the memory manager

## ◆ _starpu_memory_manager_set_global_memory_size()

void _starpu_memory_manager_set_global_memory_size | ( | unsigned | node,
|  | size_t | size
| ) |  |

Initialises the global memory size for the given node

## ◆ _starpu_memory_manager_get_global_memory_size()

size_t _starpu_memory_manager_get_global_memory_size | ( | unsigned | node | ) |

Gets the global memory size for the given node